<div class="animated fadeIn">
  <div class="card">
    <div class="card-header">
      <i class="icon-map"></i>Asset's Current Location
      <div [class]="spinner">
            <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
          </div>
      <div class="card-actions">
      </div>
    </div>
    <div class="card-body" *ngIf="mlat">
      <agm-map [latitude]="mlat" [longitude]="mlong" [zoom]="zoom">
        <agm-marker [latitude]="mlat" [longitude]="mlong">
        </agm-marker>
      </agm-map>
    </div>
  </div>
  <div id="accordion" role="tablist">
    <ngb-accordion #acc="ngbAccordion" activeIds="ngb-panel-0,ngb-panel-1">
      <ngb-panel>
        <ng-template ngbPanelTitle>
          Previous Values of asset: {{id}}
          <div [class]="spinner">
            <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
          </div>
        </ng-template>

        <ng-template ngbPanelContent>
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th *ngFor="let th of prevAssetHeaders">{{ th }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let parm of parms">
                <td>{{ parm.loggedAt | date }} {{ parm.loggedAt | date: 'shortTime'}}</td>
                <td>{{ parm.DlTimestamp | date }} {{ parm.DlTimestamp | date: 'shortTime'}}</td>
                <td>{{ parm.vol | number : '1.2-2'}}</td>
                <td>{{ parm.current | number : '1.2-2'}}</td>
                <td>{{ parm.lat}}</td>
                <td>{{ parm.lon}}</td>
                <td>{{ parm.cap | number : '1.2-2'}}</td>
                <td>{{ parm.kminterval | number : '1.2-2'}}</td>
                <td>{{ (parm.cap) * 1.2 | number : '1.2-2'}}</td>
           </tr>
          </tbody>
      </table>
        </ng-template>
        <!-- </div> -->
        <!-- </div> -->
      </ngb-panel>

      <!-- </div> -->

      <ngb-panel>
        <ng-template ngbPanelTitle>
          Previous Cell Voltages of asset: {{id}}
          <div [class]="spinner">
            <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
          </div>
        </ng-template>
        <ng-template ngbPanelContent>
          <table class="table table-hover">
            <thead>
              <tr>
                <th *ngFor="let th of prevVolatgeHeaders">{{ th }}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let parm of parms | slice:0:10 ">
                <td>{{parm.v1}}</td>
                <td>{{parm.v2}}</td>
                <td>{{parm.v3}}</td>
                <td>{{parm.v4}}</td>
                <td>{{parm.v5}}</td>
                <td>{{parm.v6}}</td>
                <td>{{parm.v7}}</td>
                <td>{{parm.v8}}</td>
                <td>{{parm.v9}}</td>
                <td>{{parm.v10}}</td>
                <td>{{parm.v11}}</td>
                <td>{{parm.v12}}</td>
                <td>{{parm.v13}}</td>
                <td>{{parm.v14}}</td>
                <td>{{parm.v15}}</td>
                <td>{{parm.v16}}</td>
              </tr>
            </tbody>
          </table>
           <button *ngIf="parms?.length > 0" class="btn btn-primary text-center ml-left50" (click)="refreshData()" [disabled]="btnStatus"><i class="fa fa-refresh" aria-hidden="true"></i>&nbsp;Refresh</button>
        </ng-template>
      </ngb-panel>

     <!--  <ngb-panel>
       <ng-template ngbPanelTitle>
         Graph
         <div [class]="spinner">
           <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
         </div>
     
       </ng-template>
       <ng-template ngbPanelContent>
         <canvas baseChart width="400" height="100"
           [datasets]="lineChartData"
           [labels]="lineChartLabels"
           [options]="lineChartOptions"
           [legend]="lineChartLegend"
           [colors]="lineChartColors"
           [chartType]="lineChartType"
           (chartHover)="chartHovered($event)"
           (chartClick)="chartClicked($event)"></canvas>
     
         <ngx-charts-line-chart [scheme]="colorScheme" [results]="multi" [gradient]="gradient" [xAxis]="showXAxis" [showRefLines]="true"
           [timeline]="true" [yAxis]="showYAxis" [legend]="showLegend" [showXAxisLabel]="showXAxisLabel" [showYAxisLabel]="showYAxisLabel"
           [xAxisLabel]="xAxisLabel" [yAxisLabel]="yAxisLabel" [autoScale]="autoScale" (select)="onSelect($event)">
         </ngx-charts-line-chart>
       </ng-template>
     </ngb-panel> -->



    </ngb-accordion>
  </div>

</div>
